/*
* @Author: Bartuccio Antoine
* @Date:   2018-07-24 20:50:04
* @Last Modified by:   Bartuccio Antoine
* @Last Modified time: 2019-01-04 10:37:39
 */

package commands

import (
	"math/rand"
	"strconv"
	"strings"

	"git.klmp200.net/ALFRED/ALFRED/shared"

	tb "gopkg.in/tucnak/telebot.v2"
)

// Dice rolls a dice
func Dice(m *tb.Message) {
	split := strings.Split(m.Text, " ")
	if len(split) < 2 {
		shared.Bot.Send(m.Chat, "Pour lancer un dé, il faut préciser combien de faces il a.")
		return
	}
	up, err := strconv.Atoi(split[1])
	if err != nil || up <= 0 {
		shared.Bot.Send(m.Chat, split[1]+" n'est pas un nombre valide.")
		return
	}
	shared.Bot.Send(m.Chat, strconv.Itoa(rand.Intn(up+1)))
}
